Managed VMware vSphere
All operations require authentication.
List attached Managed VMware vSphere servicesProduction
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloud \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached Managed VMware vSphere serviceProduction
Path parameters
your dedicated cloud service
The internal name of your vrack
Response
your dedicated cloud service
Dedicated cloud vlanId used
vrack name
Example uses dedicatedCloud = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloud/ {dedicatedCloud} \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}
Attach a Managed VMware vSphere serviceProduction
Attach a Managed VMware vSphere service. Attaches a Hosted Private Cloud service to the vRack. Returns the task that performs it.
Path parameters
The internal name of your vrack
Request body (required)
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloud \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach a Managed VMware vSphere serviceProduction
Detach a Managed VMware vSphere service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.
Path parameters
your dedicated cloud service
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses dedicatedCloud = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloud/ {dedicatedCloud} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
List attached Managed VMware vSphere datacentersProduction
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloudDatacenter \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached Managed VMware vSphere datacenterProduction
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Response
Your dedicatedCloud datacenter name
Your dedicatedCloud name
vrack name
Example uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter} \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "string", "dedicatedCloud": "string", "vrack": "string"}
List vRacks a datacenter can move toProduction
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Response
Example uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter}/ allowedVrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Move a Managed VMware vSphere datacenterProduction
Move a Managed VMware vSphere datacenter. Moves the Private Cloud datacenter to another vRack. Returns the task that performs it.
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Request body (required)
The internal name of your target vrack
Response
Task status
cancelleddoingdoneinittodoExample uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter}/ move \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}